<!DOCTYPE html>
<html lang="es">
    <head>
        <link href="https://fonts.googleapis.com/css?family=Merriweather" rel='stylesheet'>
        <meta charset="UTF-8">
        <link rel="stylesheet" href="index.css">
        <link rel="stylesheet" href="videojuegos.css">
        <link rel="icon" type="image/gif" href="src/logo.jpg">
        <title>Gamer Curiosity</title>
        <script>
            function loadXMLDoc(filename) {
                //Abrimos una conexión con el servidor
                xhttp = new XMLHttpRequest();
                //Pedimos un fichero
                xhttp.open("GET", filename, false);
                try { xhttp.responseType = "msxml-document" } catch (err) { alert("Hay error"); } // Helping IE11
                xhttp.send("");
                return xhttp.responseXML;
            }
    
            //Funcion que nos permite recuperar el Identificador de la receta seleccionada
            //en la pantalla principal. Viene por la URL, método GET.
            function getId(sParametroNombre) {
                var sPaginaURL = window.location.search.substring(1);
                var sURLVariables = sPaginaURL.split('&');
                for (var i = 0; i < sURLVariables.length; i++) {
                    var sParametro = sURLVariables[i].split('=');
                    if (sParametro[0] == sParametroNombre) {
                        return sParametro[1];
                    }
                }
                return null;
            }
    
    
            function displayResult() {
                //Buscamos en la URL el parametro id usando la funcion getId
                var idReceta = getId('id');
                if (idReceta) {
                    //Queremos cargar los ficheros XML y XSLT
    
                    // CUIDADO!! Debes cambiar el nombre de los ficheros que quieres cargar.
                    xml = loadXMLDoc("xml"+idReceta+".xml");
                    xsl = loadXMLDoc("detalle.xsl");
                    if (document.implementation && document.implementation.createDocument) {
                        //Lanzamos el xsltproc que tiene el navegador
                        xsltProcessor = new XSLTProcessor();
                        xsltProcessor.importStylesheet(xsl);
                        resultDocument = xsltProcessor.transformToFragment(xml, document);
                        //El resultado de la transformación los ponemos dentro del elemento
                        //section con identificador CONTENT-RECETAS
                        document.getElementById("detalle").appendChild(resultDocument);
                    }
                } else {
                    alert("El parámetro no existe en la URL");
                }
            }
        </script>
    </head>
    <body onload="displayResult()">
        <header>
            <div>
                <img src="src/logo.jpg" alt="logo" height="80px" width="80px">
                <h2>Curiosities of the most popular games</h2>
            </div>

        </header>
        <div class="scrollMenu">
            <nav>
                <ul>
                    <li><a href="index.html">Gamer Curiosity</a></li>
                    <li><a href="listaVideojuegos.html">Videojuegos</a></li>
                    <li><a href="">Noticias</a></li>
                    <li><a href="">Ranking</a></li>
                    <li><a href="">Enquesta</a></li>
                    <li><a href="contacto.html">Contacto</a></li>
                </ul>
            </nav>
        </div>
        <main id="detalle">

        </main>
        <footer class="fondoPie">
            <section>
                <article>
                   <img class="fotosRedes" src="src/facebook.png" alt="">
                   <img class="fotosRedes" src="src/instagram.png" alt="">
                   <img class="fotosRedes" src="src/youtube.png" alt="">
                </article>
                <article>
                    <address>Carrer d'aiguablava 121 <br> 08033 Barcelona</address>
                </article>
                <article>
                    <p>Copyright © 2022-2023</p>
                </article>
            </section>
        </footer>
    </body>
</html>